﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ChocolateyPackageName = 'big-stretch-reminder'
$url        = 'https://monkeymatt.com/bigstretch/bsrp_setup.exe' 

$packageArgs = @{
  packageName   = $ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe' 
  url           = $url
  softwareName  = 'Big Stretch Reminder' 
  checksum      = '273CA4F08800B3BF1095DCDEFAE6D32FA18974924C13F6F3FE190DF11FBE1BB5'
  checksumType  = 'sha256'
  
  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
}

Install-ChocolateyPackage @packageArgs 